Page MenuHomePhabricator

About 71 users are missing replica.my.cnf
Closed, ResolvedPublic

Description

https://wikitech.wikimedia.org/wiki/Help:Tool_Labs/Database
If you do not have a 'replica.my.cnf' in your home directory, please create a ticket in Phabricator.

https://wikitech.wikimedia.org/wiki/Nova_Resource:Tools/Admin#Regenerate_replica.my.cnf

Event Timeline

intracer created this task.Jul 18 2016, 8:20 AM
Restricted Application added subscribers: Zppix, Base, Aklapper. · View Herald TranscriptJul 18 2016, 8:20 AM
AlexMonk-WMF renamed this task from /home/ilya missing replica.my.cnf to Most users are missing replica.my.cnf.Aug 4 2016, 9:27 PM
krenair@tools-bastion-03:~$ ls /home -l | wc -l
948
krenair@tools-bastion-03:~$ sudo ls /home/*/replica.my.cnf -l | wc -l
53

43 modified in 2014, 4 in 2015, 6 in 2016 so far. And quite a few of them are very strange - look at sudo ls /home/*/replica.my.cnf -l | grep -v wikidev

tom29739 added a subscriber: tom29739.EditedAug 4 2016, 9:50 PM

I have a replica.my.cnf in my home dir that was created in January 2016. There has been far more than 6 new users on Tool Labs so far this year.

tom29739@tools-bastion-03:~$ ls -al replica.my.cnf      
-r-------- 1 tom29739 13979 52 Jan 16  2016 replica.my.cnf
AlexMonk-WMF renamed this task from Most users are missing replica.my.cnf to About 59 users are missing replica.my.cnf.Aug 4 2016, 9:54 PM

oops, yes, this seems to be a stupid error on my part.

root@tools-bastion-03:~# ls /home/*/replica.my.cnf -l | wc -l
889

So the difference is 59

scfc renamed this task from About 59 users are missing replica.my.cnf to About 71 users are missing replica.my.cnf.Dec 4 2016, 6:44 PM
scfc added a subscriber: scfc.
root@tools-bastion-03:~# (cd /home && for dir in *; do if ! [ -f "$dir/replica.my.cnf" ]; then echo "$dir"; fi; done) | wc -l
71
root@tools-bastion-03:~#
chasemp added a subscriber: chasemp.Dec 5 2016, 2:04 PM

This should be resolved via T149933 where the mechanism in charge is being rewritten. This could be viewed as closing criteria for that work.

scfc added a comment.Feb 16 2017, 7:47 PM

There are now 84 users with missing replica.my.cnf, so this task is not resolved:

root@tools-bastion-03:~# (cd /home && for dir in *; do if ! [ -f "$dir/replica.my.cnf" ]; then echo "$dir"; fi; done) | wc -l
84
root@tools-bastion-03:~#
scfc triaged this task as Normal priority.Feb 16 2017, 7:47 PM
scfc moved this task from Triage to Backlog on the Toolforge board.
madhuvishy closed this task as Resolved.Mar 27 2017, 5:11 PM
madhuvishy claimed this task.
madhuvishy added a subscriber: madhuvishy.

All users have replica.my.cnfs now. Closing this.